diff --git sfx2/source/appl/appopen.cxx sfx2/source/appl/appopen.cxx
index b8b5222..ce90cf7 100644
--- sfx2/source/appl/appopen.cxx
+++ sfx2/source/appl/appopen.cxx
@@ -841,6 +841,29 @@ void SfxApplication::NewDocExec_Impl( SfxRequest& rReq )
 
 //---------------------------------------------------------------------------
 
+namespace {
+
+/** 
+ * Check if a given filter type should open the hyperlinked document 
+ * natively. 
+ *
+ * @param rFilter filter object
+ */
+bool lcl_isFilterNativelySupported(const SfxFilter& rFilter)
+{
+    if (rFilter.IsOwnFormat())
+        return true;
+
+    ::rtl::OUString aName = rFilter.GetFilterName();
+    if (aName.indexOf(::rtl::OUString::createFromAscii("MS Excel")) == 0)
+        // We can handle all Excel variants natively.
+        return true;
+
+    return false;
+}
+
+}
+
 void SfxApplication::OpenDocExec_Impl( SfxRequest& rReq )
 {
     DBG_MEMTEST();
@@ -1150,7 +1150,7 @@ void SfxApplication::OpenDocExec_Impl( SfxRequest& rReq )
 			aTypeName = xTypeDetection->queryTypeByURL( aURL.Main );
 			SfxFilterMatcher& rMatcher = SFX_APP()->GetFilterMatcher();
 			const SfxFilter* pFilter = rMatcher.GetFilter4EA( aTypeName );
-			if ( !pFilter || !( pFilter->IsOwnFormat() ))
+            if (!pFilter || !lcl_isFilterNativelySupported(*pFilter))
 			{
 				// hyperlink does not link to own type => special handling (http, ftp) browser and (other external protocols) OS
 				Reference< XSystemShellExecute > xSystemShellExecute( ::comphelper::getProcessServiceFactory()->createInstance(
diff --git sfx2/source/view/topfrm.cxx sfx2/source/view/topfrm.cxx
index db1b3a2..921696e 100644
--- sfx2/source/view/topfrm.cxx
+++ sfx2/source/view/topfrm.cxx
@@ -913,26 +913,6 @@ sal_Bool SfxTopFrame::InsertDocument( SfxObjectShell* pDoc )
     if ( pMarkItem )
 		aMark = pMarkItem->GetValue();
 
-	if ( pDoc->Get_Impl()->nLoadedFlags & SFX_LOADED_MAINDOCUMENT )
-	{
-    	if ( pViewDataItem )
-			pFrame->GetViewShell()->ReadUserData( pViewDataItem->GetValue(), sal_True );
-		else if( aMark.Len() )
-			GetCurrentViewFrame()->GetViewShell()->JumpToMark( aMark );
-	}
-	else
-	{
-		// Daten setzen, die in FinishedLoading ausgewertet werden
-		MarkData_Impl*& rpMark = pDoc->Get_Impl()->pMarkData;
-		if (!rpMark)
-			rpMark = new MarkData_Impl;
-		rpMark->pFrame = GetCurrentViewFrame();
-		if ( pViewDataItem )
-			rpMark->aUserData = pViewDataItem->GetValue();
-		else
-			rpMark->aMark = aMark;
-	}
-
 	// Position und Groesse setzen
 	//sal_uInt16 nWinMode = pModeItem ? pModeItem->GetValue() : 1;
 	if ( pAreaItem && !pOld )
@@ -1000,6 +980,26 @@ sal_Bool SfxTopFrame::InsertDocument( SfxObjectShell* pDoc )
         GetWindow().Show();
     }
 
+    if ( pDoc->Get_Impl()->nLoadedFlags & SFX_LOADED_MAINDOCUMENT )
+    {
+        if ( pViewDataItem )
+            pFrame->GetViewShell()->ReadUserData( pViewDataItem->GetValue(), sal_True );
+        else if( aMark.Len() )
+            GetCurrentViewFrame()->GetViewShell()->JumpToMark( aMark );
+    }
+    else
+    {
+        // Daten setzen, die in FinishedLoading ausgewertet werden
+        MarkData_Impl*& rpMark = pDoc->Get_Impl()->pMarkData;
+        if (!rpMark)
+            rpMark = new MarkData_Impl;
+        rpMark->pFrame = GetCurrentViewFrame();
+        if ( pViewDataItem )
+            rpMark->aUserData = pViewDataItem->GetValue();
+        else
+            rpMark->aMark = aMark;
+    }
+
 	// Jetzt UpdateTitle, hidden TopFrames haben sonst keinen Namen!
 	pFrame->UpdateTitle();
 
